pg_num_rows
pg_parameter_status
PostgreSQL Functions
PHP Manual

# pg_options

Get the options associated with the connection

### Description

string pg_options ([ resource `$connection` ] )

pg_options will return a string containing the options specified on the given PostgreSQL `connection` resource.

### Parameters

`connection`

  PostgreSQL database connection resource. When `connection` is not present, the default connection is used. The default connection is the last connection made by pg_connect or pg_pconnect.

### Return Values

A string containing the `connection` options, or `FALSE` on error.

### Examples

Example #1 pg_options example

`<?php
$pgsql_conn = pg_connect("dbname=mark host=localhost");
echo pg_options($pgsql_conn);
?>`

### See Also

- pg_connect